EC_NODE_OR_ADD(3)

NAME
ec_node_or_add - Add a child to an "or" node.

SYNOPSIS
#include <ecoli/node_or.h>

int ec_node_or_add(
    struct ec_node   *node,
    struct ec_node   *child
);

DESCRIPTION

The child is consumed and will be freed when the parent is freed, or immediately on error.

SEE ALSO

ec_node_or(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.